Skip to content

Buyer Information ​

http
POST /api/v3/dbs/orders/client

Base URL: https://marketplace-api.wildberries.ru · Module: dbs · Section: DBS Assembly Orders · Specification doc ↗

The method allows getting information about the buyer by order ID

Request limit per one seller account for DBS assembly orders methods:

PeriodLimitIntervalBurst
1 min300 requests200 ms20 requests
One request with 4XX response codes is counted as 10 requests.

In Sandbox — maximum of 1 request per second for all Marketplace methods in total.

Request body ​

application/json — schema OrdersRequestAPI, required

  • orders integer<int64>[] — Assembly order IDs list

Responses ​

CodeDescriptionSchema
200SuccessDbsOnlyClientInfoResp
400Bad requestError
401Unauthorizedobject
402Payment requiredobject
403Access deniedError
404The resource is not foundError
429Too many requestsobject

Structure 200:

  • orders DbsOnlyClientInfo[] — Buyer information for dbs-order (Delivery by Seller)
    • replacementPhone string — Replacement phone number to contact the buyer. An empty value "" means that the number is not assigned yet
    • phone string — Backup replacement phone number to contact the buyer. Use if the replacement number from replacementPhone is unavailable. To contact the buyer, dial this number and the extension code from phoneCode. An empty value "" means that the number is not assigned yet
    • firstName string — First name
    • fullName string — Full name, used for paperwork. For example, documents for a car
    • additionalPhones string[] — Additional phone numbers to contact the buyer. Use it to call the buyer, if the main number from phone is unavailable. An empty value means that the number is not specified
    • replacementAdditionalPhones string[] — Additional replacement phone numbers to contact the buyer. An empty value means that the number is not specified
    • orderID integer<int64> — Assembly order ID
    • phoneCode integer<int64> — Extension phone code. An empty value "" means that the code is not assigned yet
    • additionalPhoneCodes string[] — Additional extension codes. Use if you couldn't reach the buyer using the extension code from phoneCode. An empty value "" means that the code is not assigned yet

Structure 400:

  • code string — Error code
  • message string — Error description
  • data object — Additional data for the error

Structure 401:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Structure 402:

Structure 403:

  • code string — Error code
  • message string — Error description
  • data object — Additional data for the error

Structure 404:

  • code string — Error code
  • message string — Error description
  • data object — Additional data for the error

Structure 429:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Call examples ​

Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.

python
from wb_api_client.dbs import Configuration, ApiClient
from wb_api_client.dbs.api import DbsApi

cfg = Configuration(access_token="<your WB JWT>")
api = DbsApi(ApiClient(cfg))

result = api.post_v3_dbs_orders_client(orders_request_api=...)
print(result)
ts
import {
  Configuration,
  DbsApi,
} from "@valeryverkhoturov/wb-api-client/dbs";

const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new DbsApi(cfg);

const { data } = await api.postV3DbsOrdersClient(ordersRequestAPI);
console.log(data);
go
import (
	"context"
	"fmt"

	wbdbs "github.com/ValeryVerkhoturov/wb-api-client-go/dbs"
)

cfg := wbdbs.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbdbs.NewAPIClient(cfg)

result, _, err := client.DbsAPI.PostV3DbsOrdersClient(context.Background()).OrdersRequestAPI(ordersRequestAPI).Execute()
if err != nil {
    panic(err)
}
fmt.Printf("%+v\n", result)
java
import io.github.valeryverkhoturov.wbapi.dbs.ApiClient;
import io.github.valeryverkhoturov.wbapi.dbs.SecretString;
import io.github.valeryverkhoturov.wbapi.dbs.api.DbsApi;

ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
DbsApi api = new DbsApi(client);

System.out.println(api.postV3DbsOrdersClient(ordersRequestAPI));
php
use ValeryVerkhoturov\WbApiClient\Dbs\Configuration;
use ValeryVerkhoturov\WbApiClient\Dbs\SecretString;
use ValeryVerkhoturov\WbApiClient\Dbs\Api\DbsApi;
use GuzzleHttp\Client;

$config = (new Configuration())
    ->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new DbsApi(new Client(), $config);

print_r($api->postV3DbsOrdersClient($orders_request_api));
bsl
#Использовать "wb-api-client"

Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый DbsApi(Настройки);

Сообщить(Клиент.PostV3DbsOrdersClient(Тело).Тело);
csharp
using ValeryVerkhoturov.WbApiClient.Dbs.Api;
using ValeryVerkhoturov.WbApiClient.Dbs.Client;

var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new DbsApi(config);

Console.WriteLine(api.PostV3DbsOrdersClient(ordersRequestAPI));
rust
use wb_api_client::dbs::apis::{configuration::Configuration, dbs_api};

#[tokio::main]
async fn main() {
    let mut cfg = Configuration::new();
    cfg.set_access_token("<your WB JWT>");

    let result = dbs_api::post_v3_dbs_orders_client(&cfg, orders_request_api).await;
    println!("{:#?}", result);
}